ruby-sqlite3 (2.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Upgrade the watch file to version 5.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 10 Mar 2026 10:40:13 -0500

ruby-sqlite3 (2.9.0-1) unstable; urgency=medium

  * Team upload.
  * Use GitHub in the watch file for tests.
  * New upstream release.
  * Update Standards-Version to 4.7.3, no changes needed.
  * Remove patches indicated as droppable with the 2.x series.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 10 Feb 2026 13:11:59 -0600

ruby-sqlite3 (1.7.3-2) unstable; urgency=medium

  * Add debian/clean.
  * Remove unnecessary debian/.gitattributes.
  * Rename debian/patches/extconf.patch to
    debian/patches/build-with-system-sqlite.patch and mark as "Forwarded:
    not-needed".
  * debian/control:
    - Add Build-Depends on dh-sequence-ruby.
    - Mark the binary package as "Multi-Arch: same".
    - Remove oboslete SQLite version dependency in the description.
    - Remove the obsolete "Rules-Requires-Root: no"
    - Bump standards version from 4.7.0 to 4.7.2 (no changes needed).
  * debian/patches/fix-tests-sqlite3_3_37.patch:  Mark as "Forwarded:
    not-needed".
  * debian/patches/failing_tests_1_6_9.patch:  Mark as "Forwarded: not-needed".
  * debian/rules:
    - Remove obsolete "--with ruby".
    - Remove execute_after_dh_clean, handled by debian/clean.

 -- Soren Stoutner <soren@debian.org>  Mon, 18 Aug 2025 15:22:05 -0700

ruby-sqlite3 (1.7.3-1) unstable; urgency=medium

  * New upstream version.
  * Remove disabled patches:
    - debian/patches/drop-vendorizing-tasks.patch
    - debian/patches/use-slugs-in-faq.diff
  * debian/control:
    - Add myself to uploaders.
    - Remove obsolete version constraints.
    - Reorder build-depends alphabetically.
    - Remove breaks for obsolete schleuder (<< 3.4.1-2~).
  * debian/copyright:
    - Add myself to the debian/* stanza.
    - Refactor for readability.
  * debian/patches/fix-tests-sqlite3_3_37.patch:  Refresh offset.
  * debian/salsa:  Update with the currently recommended default contents.

 -- Soren Stoutner <soren@debian.org>  Thu, 13 Feb 2025 16:09:20 -0700

ruby-sqlite3 (1.6.9-2) unstable; urgency=medium

  * Team upload
  * Build a HTML version of the FAQ
  * Drop build-dependency on ruby-redcloth used for the old FAQ
  * Build-depend on kramdown for markdown to HTML conversion of the FAQ
  * Exclude files in ports/ in the binary package
  * Bump Standards-Version to 4.7.0 (no changes needed)
  * Remove trailing spaces in previous changelog entry

 -- Cédric Boutillier <boutil@debian.org>  Tue, 20 Aug 2024 18:03:46 +0200

ruby-sqlite3 (1.6.9-1) unstable; urgency=medium

  * Team upload

  [ Antonio Terceiro ]
  * Build-Depends: annotate test dependencies for cross building

  [ Cédric Boutillier ]
  * New upstream version 1.6.3
  * rules: use gem install layout
  * control:
    + drop X?-Ruby-Versions
    + bump Standards-Version to 4.6.2 (no changes needed)
  * Refresh fix-tests-sqlite3_3_37.patch
  * Skip drop-vendorizing-tasks.patch
  * Build-depend on ruby-mini-portile2
  * New upstream version 1.6.9
  * drop use-slugs-in-faq.diff
  * Doc files are now Markdown
  * No more FAQ to build: install the md file
  * Add patches to build with system libraries and fix tests

 -- Cédric Boutillier <boutil@debian.org>  Sat, 27 Jul 2024 20:01:10 +0200

ruby-sqlite3 (1.4.2-4) unstable; urgency=medium

  * Team upload.
  * Add patch by László Böszörményi to fix tests with sqlite3 3.37 and onwards
    (Closes: #1003345). Thanks!
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Cédric Boutillier <boutil@debian.org>  Fri, 21 Jan 2022 14:59:51 +0100

ruby-sqlite3 (1.4.2-3) unstable; urgency=low

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Cédric Boutillier ]
  * [ci skip] Update team name.
  * [ci skip] Add .gitattributes to keep unwanted files out of the source
    package.

  [ Dmitry Borodaenko ]
  * Bump debhelper to 13, Standards-Version to 4.5.1.

 -- Dmitry Borodaenko <angdraug@debian.org>  Tue, 09 Feb 2021 14:26:39 -0800

ruby-sqlite3 (1.4.2-2) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.5.0, no changes required.
    - Declare that schleuder << 3.4.1-2~ is broken. This should allow
      migration of both, ruby-sqlite3 1.4.2-1 and schleuder 3.4.1-3 to
      testing.
  * debian/copyright:
    - Use HTTPS to point to copyright format specs.

 -- Georg Faerber <georg@debian.org>  Wed, 05 Feb 2020 10:27:14 +0000

ruby-sqlite3 (1.4.2-1) unstable; urgency=medium

  * Team upload

  [ Antonio Terceiro ]
  * Remove myself from Uploaders:
  * New upstream version 1.4.2
    - This version passes the tests against ruby2.7
  * Refresh packaging files with a new run of dh-make-ruby
    - Bump debhelper compatibility level to 12; depend on debhelper-compat and
      drop debian/compat
    - Bump Standards-Version to 4.4.0; no changes needed.
    - add Rules-Requires-Root: no
    - Add debian/upstream/metadata
    - Update debian/watch to point to gemwatch.debian.net
  * debian/patches/drop-vendorizing-tasks.patch: disable tasks that are not
    relevant for the Debian packaging.

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 24 Jan 2020 19:00:43 -0300

ruby-sqlite3 (1.3.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.13
  * Bump Standards-Version. No changes needed.
  * d/ruby-sqlite3.doc-base: fix spelling error

 -- Lucas Nussbaum <lucas@debian.org>  Sun, 02 Jul 2017 13:37:41 +0200

ruby-sqlite3 (1.3.11-2) unstable; urgency=medium

  * Team upload.
  * Use slugs instead of object ids to generate the FAQ in order to make
    package build reproducible. Thanks Lunar (Closes: #782884)
  * Use https:// in Vcs-* fields
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Run wrap-and-sort on packaging files

 -- Cédric Boutillier <boutil@debian.org>  Sat, 05 Mar 2016 16:16:00 +0100

ruby-sqlite3 (1.3.11-1) unstable; urgency=medium

  * New upstream release.
    - dropped handle-big-endian.diff, already applied upstream
  * Add Recommends: on sqlite3
  * Add myself to Uploaders:
  * Update packaging with a new dh-make-ruby run

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 23 Nov 2015 18:02:22 -0200

ruby-sqlite3 (1.3.10-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 14 Aug 2015 11:06:41 -0300

ruby-sqlite3 (1.3.9-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/handle-big-endian.diff: don't assume the native byte order
    is little endian. Based on initial patch suggested by David Suárez
    (Closes: #745929)

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 06 May 2014 17:19:35 -0300

ruby-sqlite3 (1.3.9-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Bump gem2deb build dep to 0.7.5~.
    - Drop ruby 1.9
  * Remove already applied patch.

 -- Pirate Praveen <praveen@debian.org>  Mon, 07 Apr 2014 14:52:13 +0530

ruby-sqlite3 (1.3.8-2) unstable; urgency=medium

  * Team upload
  * add fix_test_insert_duplicate_records.patch to match messages modified in
    libsqlite3 3.8.2 (Closes: #735512)
  * Bump Standards-Version to 3.9.5 (no changes needed)

 -- Cédric Boutillier <boutil@debian.org>  Thu, 16 Jan 2014 00:17:37 +0100

ruby-sqlite3 (1.3.8-1) unstable; urgency=low

  * Team upload
  * Imported Upstream version 1.3.8
  * debian/control:
    + remove obsolete DM-Upload-Allowed flag
    + use canonical URI in Vcs-* fields
    + drop transitional packages
    + bump Standards-Version to 3.9.4 (no changes needed)
    + build against against gem2deb >= 0.5 to add support for Ruby 2.0 and
      drop Ruby 1.8
  * debian/copyright: use copyright-format/1.0 official URL for Format
  * debian/watch: use gemwatch service
  * Update homepage to point to github.com/sparklemotion/sqlite3-ruby
  * Register SQLite3/Ruby FAQ in doc-base

 -- Cédric Boutillier <boutil@debian.org>  Fri, 18 Oct 2013 13:02:30 +0200

ruby-sqlite3 (1.3.6-2) unstable; urgency=low

  * Team upload.
  * Bump build-depends on gem2deb to >= 0.3.0~
  * debian/rules: use debian/sqlite3-1.3.6.gemspec as a gemspec

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 24 Jun 2012 17:54:27 -0300

ruby-sqlite3 (1.3.6-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version upgraded to 3.9.3.
  * Avoid requiring test/helper.rb twice to prevent the included monkey patch
    of Test::Unit::TestCase from breaking unit tests.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 21 Apr 2012 15:13:02 +0300

ruby-sqlite3 (1.3.5-1) unstable; urgency=low

  * New upstream release.
  * Point Vcs-* control fields at git.debian.org.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 08 Jan 2012 19:25:09 +0300

ruby-sqlite3 (1.3.4-1) unstable; urgency=low

  * New upstream release.
  * Switch to gem2deb-based packaging:
    - source and binary packages renamed to ruby-sqlite3
    - transitional packages added
    - source format changed to 3.0 (quilt).

 -- Dmitry Borodaenko <angdraug@debian.org>  Wed, 07 Sep 2011 12:11:28 +0300

sqlite3-ruby (1.3.3-1) unstable; urgency=low

  * New upstream release
    - defined functions are kept in a hash to prevent GC (closes: #601494)
  * Standards-Version upgraded to 3.9.2.
  * Watch file updated to track github instead of RubyForge.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 21 May 2011 15:02:27 +0300

sqlite3-ruby (1.3.1-2) unstable; urgency=low

  * Added missing Build-Depends on redcloth. Closes: #598692.

 -- Dmitry Borodaenko <angdraug@debian.org>  Fri, 01 Oct 2010 11:12:51 +0300

sqlite3-ruby (1.3.1-1) unstable; urgency=low

  * New upstream release
    - DL driver silently dropped by upstream since 1.3.0
    - compatibile with Ruby 1.9.2 (closes: #593207)
  * With DL driver gone, quilt is no longer needed.
  * debian/watch updated to detect .tgz files.
  * Changed Section from interpreters to ruby.
  * Debhelper compat level upgraded to 5.
  * Standards-Version upgraded to 3.9.1.

 -- Dmitry Borodaenko <angdraug@debian.org>  Fri, 01 Oct 2010 03:19:02 +0300

sqlite3-ruby (1.2.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switch from Ruby 1.9 to 1.9.1. Closes: #565826.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 13 Feb 2010 10:01:53 +0100

sqlite3-ruby (1.2.4-2) unstable; urgency=low

  * The included C wrappers were generated by an old buggy SWIG version,
    regenerate them with current SWIG (Closes: #454533).

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 26 Oct 2008 14:19:34 +0200

sqlite3-ruby (1.2.4-1) unstable; urgency=low

  * New upstream release:
    - Fix linking against Ruby 1.8.5
    - Ruby 1.9 compatibility tweaks for Array#zip
    - Avoid using Object#extend for greater speedups
    - Fix incorrect permissions on database.rb and translator.rb
    - Package the updated C file for source builds.
  * Replaced dpatch with quilt.
  * Build a module for Ruby 1.9 in libsqlite3-ruby1.9.

 -- Dmitry Borodaenko <angdraug@debian.org>  Tue, 30 Sep 2008 00:39:11 +0300

sqlite3-ruby (1.2.2-1) unstable; urgency=low

  * New upstream release (Closes: #487937).
  * dpatch support added.
  * Make DL driver use libsqlite3.so.0 (Closes: #457296).
  * Updated to Standards-Version 3.8.0:
    - Homepage: field added to control file.

 -- Dmitry Borodaenko <angdraug@debian.org>  Wed, 25 Jun 2008 14:05:45 +0300

sqlite3-ruby (1.2.1-1) unstable; urgency=low

  * New upstream release (Closes: #418416).
  * All previous patches included upstream.

 -- Dmitry Borodaenko <angdraug@debian.org>  Wed, 18 Apr 2007 21:07:38 +0100

sqlite3-ruby (1.1.0-4) unstable; urgency=low

  * Merge upstream fix for type_conversion of typeless columns.

 -- Dmitry Borodaenko <angdraug@debian.org>  Tue, 09 Jan 2007 01:50:34 +0000

sqlite3-ruby (1.1.0-3) unstable; urgency=low

  * Several fixes by Mike Kasick:
    - avoid warnings in verbose mode (Closes: #405612, #398982)
    - reset statement handle in Statement#bind_param (Closes: #405614).

 -- Dmitry Borodaenko <angdraug@debian.org>  Mon, 08 Jan 2007 20:50:52 +0000

sqlite3-ruby (1.1.0-2) unstable; urgency=low

  * Fix for use of callbacks (upstream patch #2955). Closes: #365711.
  * Bumped Standards-Version to 3.7.2.

 -- Dmitry Borodaenko <angdraug@debian.org>  Fri,  5 May 2006 14:01:16 +0300

sqlite3-ruby (1.1.0-1) unstable; urgency=low

  * Initial release.

 -- Dmitry Borodaenko <angdraug@debian.org>  Fri, 19 Aug 2005 14:51:14 +0300
